SearchEquivalenceTestBase (Lucene 3.6.2 API)
Keywords: org.apache.lucene.search.SearchEquivalenceTestBase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class SearchEquivalenceTestBase

    java.lang.Object
      org.junit.Assert
          org.apache.lucene.util.LuceneTestCase
              org.apache.lucene.search.SearchEquivalenceTestBase

    public abstract class SearchEquivalenceTestBase

extends LuceneTestCase

Simple base class for checking search equivalence. Extend it, and write tests that create `randomTerm()`s (all terms are single characters a-z), and use `assertSameSet(Query, Query)` and `assertSubsetOf(Query, Query)`

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.LuceneTestCase
`LuceneTestCase.Nightly`

Field Summary
`protected static org.apache.lucene.analysis.Analyzer` | `analyzer`
`protected static org.apache.lucene.store.Directory` | `directory`
`protected static org.apache.lucene.index.IndexReader` | `reader`
`protected static org.apache.lucene.search.IndexSearcher` | `s1`
`protected static org.apache.lucene.search.IndexSearcher` | `s2`
`protected static String` | `stopword`

Fields inherited from class org.apache.lucene.util.LuceneTestCase
`classRules, random, RANDOM_MULTIPLIER, ruleChain, stores, TEMP_DIR, TEST_CLEAN_THREADS, TEST_DIRECTORY, TEST_ITER, TEST_ITER_MIN, TEST_LINE_DOCS_FILE, TEST_LOCALE, TEST_NIGHTLY, TEST_SEED, TEST_TIMEZONE, TEST_VERSION_CURRENT, testsFailed, VERBOSE`

Constructor Summary
`SearchEquivalenceTestBase()`

Method Summary
`static void` | `afterClass()`
`void` | `assertSameSet(org.apache.lucene.search.Query q1, org.apache.lucene.search.Query q2)` Asserts that the documents returned by `q1` are the same as of those returned by `q2`
`void` | `assertSubsetOf(org.apache.lucene.search.Query q1, org.apache.lucene.search.Query q2)` Asserts that the documents returned by `q1` are a subset of those returned by `q2`
`protected void` | `assertSubsetOf(org.apache.lucene.search.Query q1, org.apache.lucene.search.Query q2, org.apache.lucene.search.Filter filter)` Asserts that the documents returned by `q1` are a subset of those returned by `q2`.
`static void` | `beforeClass()`
`protected org.apache.lucene.search.Filter` | `randomFilter()` Returns a random filter over the document set
`protected org.apache.lucene.index.Term` | `randomTerm()` returns a term suitable for searching.

Methods inherited from class org.apache.lucene.util.LuceneTestCase
`afterClassLuceneTestCaseJ4, alwaysIgnoredTestMethod, assertEquals, assertEquals, assertEquals, assertEquals, assertSaneFieldCaches, asSet, assumeFalse, assumeNoException, assumeTrue, atLeast, atLeast, beforeClassLuceneTestCaseJ4, dumpArray, dumpIterator, getDataFile, getName, getTestClass, getTestLabel, isTestThread, localeForName, newDirectory, newDirectory, newDirectory, newDirectory, newField, newField, newField, newField, newField, newField, newFSDirectory, newFSDirectory, newIndexWriterConfig, newIndexWriterConfig, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newSearcher, newSearcher, newTieredMergePolicy, newTieredMergePolicy, purgeFieldCache, randomDirectory, randomLocale, randomTimeZone, rarely, rarely, reportAdditionalFailureInfo, reportPartialFailureInfo, setMergeFactor, setUp, setUseCompoundFile, tearDown, usually, usually`

Methods inherited from class org.junit.Assert
`assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertThat, assertThat, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### s1

    protected static org.apache.lucene.search.IndexSearcher s1

### s2

    protected static org.apache.lucene.search.IndexSearcher s2

### directory

    protected static org.apache.lucene.store.Directory directory

### reader

    protected static org.apache.lucene.index.IndexReader reader

### analyzer

    protected static org.apache.lucene.analysis.Analyzer analyzer

### stopword

    protected static String stopword

Constructor Detail

### SearchEquivalenceTestBase

    public SearchEquivalenceTestBase()

Method Detail

### beforeClass

    public static void beforeClass()
                            throws Exception

  Throws:
    `Exception`

### afterClass

    public static void afterClass()
                           throws Exception

  Throws:
    `Exception`

### randomTerm

    protected org.apache.lucene.index.Term randomTerm()

  returns a term suitable for searching. terms are single characters in lowercase (a-z)

### randomFilter

    protected org.apache.lucene.search.Filter randomFilter()

  Returns a random filter over the document set

### assertSameSet

    public void assertSameSet(org.apache.lucene.search.Query q1,
                              org.apache.lucene.search.Query q2)
                       throws Exception

  Asserts that the documents returned by `q1` are the same as of those returned by `q2`

  Throws:
    `Exception`

### assertSubsetOf

    public void assertSubsetOf(org.apache.lucene.search.Query q1,
                               org.apache.lucene.search.Query q2)
                        throws Exception

  Asserts that the documents returned by `q1` are a subset of those returned by `q2`

  Throws:
    `Exception`

### assertSubsetOf

    protected void assertSubsetOf(org.apache.lucene.search.Query q1,
                                  org.apache.lucene.search.Query q2,
                                  org.apache.lucene.search.Filter filter)
                           throws Exception

  Asserts that the documents returned by `q1` are a subset of those returned by `q2`. Both queries will be filtered by `filter`

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD